## org.apache.commons.math.random
Class EmpiricalDistributionImpl.ArrayDataAdapter

    java.lang.Object
      org.apache.commons.math.random.EmpiricalDistributionImpl.DataAdapter
          org.apache.commons.math.random.EmpiricalDistributionImpl.ArrayDataAdapter

Enclosing class:
  EmpiricalDistributionImpl

    private class EmpiricalDistributionImpl.ArrayDataAdapter

extends EmpiricalDistributionImpl.DataAdapter

`DataAdapter` for data provided as array of doubles.

Field Summary
`private double[]` `inputArray` Array of input data values

Constructor Summary
`EmpiricalDistributionImpl.ArrayDataAdapter(double[] in)` Construct an ArrayDataAdapter from a double[] array

Method Summary
`void` `computeBinStats()` Compute bin stats.
`void` `computeStats()` Compute sample statistics.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### inputArray

    private double[] inputArray

  Array of input data values

Constructor Detail

### EmpiricalDistributionImpl.ArrayDataAdapter

    public EmpiricalDistributionImpl.ArrayDataAdapter(double[] in)

  Construct an ArrayDataAdapter from a double[] array

  Parameters:
    `in` - double[] array holding the data

Method Detail

### computeStats

    public void computeStats()
                      throws IOException

  Compute sample statistics.

  Specified by:
    `computeStats` in class `EmpiricalDistributionImpl.DataAdapter`
  Throws:
    `IOException` - if an error occurs computing sample stats

### computeBinStats

    public void computeBinStats()
                         throws IOException

  Compute bin stats.

  Specified by:
    `computeBinStats` in class `EmpiricalDistributionImpl.DataAdapter`
  Throws:
    `IOException` - if an error occurs computing bin stats

Copyright (c) 2003-2013 Apache Software Foundation